Name:           php-when
Version:        0.3
Release:        8%{?dist}
Summary:        Date/Calendar recursion library for PHP

License:        MIT
URL:            https://github.com/tplaner/When
# Download from
# https://github.com/tplaner/When/archive/v0.3.tar.gz
Source0:        When-%{version}.tar.gz

BuildArch:      noarch

Requires:       php-date php-spl

%description
PHP library that handles recursive dates: It determines the next date of
recursion given an iCalendar "rrule" like pattern.

%package tests
Summary:        Test files for %{name}

Requires:       %{name} = %{version}-%{release}
# phpunit tests
Requires:       php-phpunit-PHPUnit
BuildRequires:  php-phpunit-PHPUnit

%description tests
PHPUnit tests for %{name}.

%prep
%setup -q -n When-%{version}

# remove deprecated include and set prefix
sed -e '/Framework.php/d' \
    -e '/When.php/s:./:when/:' \
    -e '/When_Iterator.php/s:./:when/:' \
    -i Tests/*php

%build

%install
mkdir -p %{buildroot}%{_datadir}/php/when
install -pm 644 When.php %{buildroot}%{_datadir}/php/when
install -pm 644 When_Iterator.php %{buildroot}%{_datadir}/php/when

mkdir -p %{buildroot}%{_datadir}/tests/%{name}
install -pm 644 Tests/*.php %{buildroot}%{_datadir}/tests/%{name}/

%check
cd Tests
phpunit -d include_path=%{buildroot}%{_datadir}/php:.:%{_datadir}/php:%{_datadir}/pear -d date.timezone=UTC .


%files
%doc README.md
%{_datadir}/php/when


%files tests
%dir %{_datadir}/tests
%{_datadir}/tests/%{name}


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Dec 15 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 0.3-2
- enabled phpunit tests
- moved tests to %%{_datadir}/tests/%%{name}

* Tue Dec 11 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 0.3-1
- Initial package

